Subject: [Iasa20] I-D Action: draft-ietf-iasa2-rfc4071bis-00.txt

From: [email-masked]
Date: Wed, 05 Dec 2018 13:16:09 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the IETF Administrative Support Activity 2 WG of the IETF.

        Title           : Structure of the IETF Administrative Support Activity, Version 2.0
        Authors         : Brian Haberman
                          Joseph Lorenzo Hall
                          Jason Livingood
	Filename        : draft-ietf-iasa2-rfc4071bis-00.txt
	Pages           : 25
	Date            : 2018-12-05

Abstract:
   The IETF Administrative Support Activity (IASA) was originally
   established in 2005.  In the years since then, the needs of the IETF
   evolved in ways that required changes to its administrative
   structure.  The purpose of this document is to document and describe
   the IASA 2.0 structure.

   Under IASA 2.0, the work of the IETF's administrative and fundraising
   tasks is conducted by an administrative organization, the IETF
   Administration Limited Liability Company ("IETF LLC").  Under this
   structure, the Internet Administrative Oversight Committee (IAOC) was
   eliminated, and its oversight and advising functions transferred to
   the IETF LLC Board.

   This document describes the structure of the IETF Administrative
   Support Activity, version 2 (IASA 2.0).  It defines the roles and
   responsibilities of the IETF LLC Board, the IETF Executive Director,
   and ISOC in the fiscal and administrative support of the IETF
   standards process.  It also defines the membership and selection
   rules for the IETF LLC Board.

   This document obsoletes [RFC4071], [RFC4333], and [RFC7691].

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4071bis/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-iasa2-rfc4071bis-00
https://datatracker.ietf.org/doc/html/draft-ietf-iasa2-rfc4071bis-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 5 Dec 2018 16:45:47 -0500

Hello IASA 2.0 Working Group.

This is the first real RFC4071bis draft after we decided -struct needed to
be a more complete replacement for RFC4071.

As this is going to be the replacement for the IASA 1.0 RFC/BCP, we could
really use as many careful and close reviews of this document as we can get.

Thank you very much for your patience as we got this in place. Cheers and
thank you for spending some of your limited cycles on the IASA 2.0 set of
issues!

best, Joe, Jason and Brian

On Wed, Dec 5, 2018 at 4:16 PM <[email-masked]> wrote:

> _______________________________________________
> iasa20 mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/iasa20
>

-- 
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked], p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871

---

From: Eliot Lear <[email-masked]>
Date: Wed, 5 Dec 2018 23:52:39 +0100

Thank you both.  I had a quick skim.  What is important for the mtgvenue work is that the appeals process be in order and clear.  I cannot speak to the first part, but my view is that editorially it reads a bit wordy at the moment, and I wonder if it can be tightened up.  In particular, you venture into updating of processes as part of review and appeal.  I think it’s fine to update processes when appropriate, but placing that in this text seems to me to detract from what someone looking to understand review and appeal would want.  Also, the appropriate way to update processes is to write an update to the processes, not through the appeals process.

My suggestion, therefore, is to drop drop (or remove to another section) all but the first sentence of the first paragraph, the 2nd paragraph, and replace the first sentence of the third paragraph as follows:

OLD:

   The request for review should be addressed to the IETF LLC Board
NEW:
   A request for review should be addressed to the IETF LLC Board

As to this:

   All requests
   for review shall be posted publicly,

This is necessary but not sufficient.  You need to be clear as to what this means, lest it be claimed that they did so and you didn’t follow process.  My suggestion is to replace it with something like:
   All requests
   for review shall be emailed to [email-masked] <mailto:[email-masked]> who SHALL in turn publish them.

This leads us to the appeals process itself.  Again, it’s wordy.  I suggest something far simpler,  as follows:
OLD:
   The reviewing body (the IAB or ISOC Board of Trustees) shall review
   the decision of the IETF Executive Director or IETF LLC Board to
   determine whether it was made in accordance with existing BCPs and
   operational guidelines.  As a result of this review, the reviewing
   body may recommend to the community that the BCPs governing IETF LLC
   Board actions should be changed.  The reviewing body may also advise
   the IETF LLC Board to modify existing operational guidelines to avoid
   similar issues in the future and/or it may advise the IETF LLC Board
   to re-consider their decision or action.  It may also recommend that
   no action be taken, based on the review.
   In exceptional cases, when no other recourse seems reasonable, the
   reviewing body may overturn or reverse a non-binding decision or
   action of the IETF LLC Board.  This should be done only after careful
   consideration and consultation with the IETF LLC Board regarding the
   ramifications of this action.  In no circumstances may the IAB or
   ISOC Board of Trustees overturn a decision of the IETF LLC Board that
   involves a binding contract or overturn a personnel-related action
   (such as hiring, firing, promotion, demotion, performance reviews,
   salary adjustments, etc.).

NEW:

   The IAB SHALL review the decision in question and determine an
   appropriate course of action.  As in other cases, as described in
   RFC 2026, only process-related errors as described are reviewable by
   the ISOC Board of Trustees.  In no circumstances may the IAB or
   ISOC Board of Trustees overturn a decision of the IETF LLC Board that
   involves a binding contract or overturn a personnel-related action
   (such as hiring, firing, promotion, demotion, performance reviews,
   salary adjustments, etc.).

This should be sufficient, and there’s far less text.

Eliot

> On 5 Dec 2018, at 22:45, Joseph Lorenzo Hall <[email-masked]> wrote:
> 
> This is the first real RFC4071bis draft after we decided -struct needed to be a more complete replacement for RFC4071.
> 
> As this is going to be the replacement for the IASA 1.0 RFC/BCP, we could really use as many careful and close reviews of this document as we can get.
> 
> Thank you very much for your patience as we got this in place. Cheers and thank you for spending some of your limited cycles on the IASA 2.0 set of issues!
> 
> On Wed, Dec 5, 2018 at 4:16 PM <[email-masked] <mailto:[email-masked]>> wrote:
> 
> https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4071bis/ <https://datatracker.ietf.org/doc/draft-ietf-iasa2-rfc4071bis/>
> 
> https://tools.ietf.org/html/draft-ietf-iasa2-rfc4071bis-00 <https://tools.ietf.org/html/draft-ietf-iasa2-rfc4071bis-00>
> https://datatracker.ietf.org/doc/html/draft-ietf-iasa2-rfc4071bis-00 <https://datatracker.ietf.org/doc/html/draft-ietf-iasa2-rfc4071bis-00>
> 
> 
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/iasa20 <https://www.ietf.org/mailman/listinfo/iasa20>
> 
> 
> --
> Joseph Lorenzo Hall
> Chief Technologist, Center for Democracy & Technology [https://www.cdt.org <https://www.cdt.org/>]
> e: [email-masked] <mailto:[email-masked]>, p: 202.407.8825, pgp: https://josephhall.org/gpg-key <https://josephhall.org/gpg-key>

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Wed, 5 Dec 2018 18:00:32 -0500

On Wed, Dec 5, 2018 at 17:52 Eliot Lear <[email-masked]> wrote:

> Thank you both.  I had a quick skim.  What is important for the mtgvenue
> work is that the appeals process be in order and clear.  I cannot speak to
> the first part, but my view is that editorially it reads a bit wordy at the
> moment, and I wonder if it can be tightened up.  In particular, you venture
> into updating of processes as part of review and appeal.  I think it’s fine
> to update processes when appropriate, but placing that in this text seems
> to me to detract from what someone looking to understand review and appeal
> would want.  Also, the appropriate way to update processes is to write an
> update to the processes, not through the appeals process.
>

Quick note of context: This text is from the original RFC4071 that we
mostly just ported over, swapping in new roles/bodies for those in the old
text.

> My suggestion, therefore, is to drop drop (or remove to another section)
> all but the first sentence of the first paragraph, the 2nd paragraph, and
> replace the first sentence of the third paragraph as follows:
>
> OLD:
>
>    for review shall be emailed to [email-masked] who SHALL in turn publish them.
>
Joseph Lorenzo Hall

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 6 Dec 2018 07:24:06 -0500

On Wed, Dec 5, 2018 at 6:00 PM Joseph Lorenzo Hall <[email-masked]> wrote:
> Quick note of context: This text is from the original RFC4071 that we mostly just ported over, swapping in new roles/bodies for those in the old text.

Eliot, to be clear, this is what you propose?

diff --git a/draft-ietf-iasa2-rfc4071bis.md b/draft-ietf-iasa2-rfc4071bis.md
index 292a0a7..7bd2f5c 100644
--- a/draft-ietf-iasa2-rfc4071bis.md
+++ b/draft-ietf-iasa2-rfc4071bis.md
@@ -325,11 +325,7 @@ IETF LLC Board minutes are expected to be
published in a timely fashion.
 ## Review and Appeal of IETF Executive Director and IETF LLC Board Decisions

 The IETF LLC Board is directly accountable to the IETF community for
-the performance of the IASA 2.0.  In order to achieve this, the IETF
-LLC Board and IETF Executive Director are expected to ensure that
-guidelines are developed for regular operational decision making.
-Where appropriate, these guidelines should be developed with public
-input.  In all cases, they must be made public.
+the performance of the IASA 2.0.

 If a member of the IETF community questions whether a decision or
 action of the IETF Executive Director or the IETF LLC Board has been
@@ -338,12 +334,13 @@ guidelines, or questions whether the IETF LLC
has created and
 maintained appropriate guidelines, he or she may ask the IETF LLC
 Board for a formal review of the decision or action.

-The request for review should be addressed to the IETF LLC Board chair
+A request for review should be addressed to the IETF LLC Board chair
 and should include a description of the decision or action to be
 reviewed, an explanation of how, in the requestor's opinion, the
 decision or action violates the BCPs or operational guidelines, and a
-suggestion for how the situation could be rectified.  All requests for
-review shall be posted publicly, and the IETF LLC Board is expected to
+suggestion for how the situation could be rectified.  All requests
+for review shall be emailed to [email-masked] who SHALL in turn publish them.
+The IETF LLC Board is expected to
 respond publicly to these requests within a reasonable period,
 typically within 90 days.  It is up to the IETF LLC Board to determine
 what type of review and response is required, based on the nature of
@@ -360,26 +357,14 @@ appeals procedures outlined in {{RFC2026}}.  If
he or she is not
 satisfied with the IAB response, he or she can escalate the issue to
 the ISOC Board of Trustees, as described in {{RFC2026}}.

-The reviewing body (the IAB or ISOC Board of Trustees) shall review
-the decision of the IETF Executive Director or IETF LLC Board to
-determine whether it was made in accordance with existing BCPs and
-operational guidelines.  As a result of this review, the reviewing
-body may recommend to the community that the BCPs governing IETF LLC
-Board actions should be changed.  The reviewing body may also advise
-the IETF LLC Board to modify existing operational guidelines to avoid
-similar issues in the future and/or it may advise the IETF LLC Board
-to re-consider their decision or action.  It may also recommend that
-no action be taken, based on the review.
-
-In exceptional cases, when no other recourse seems reasonable, the
-reviewing body may overturn or reverse a non-binding decision or
-action of the IETF LLC Board.  This should be done only after careful
-consideration and consultation with the IETF LLC Board regarding the
-ramifications of this action.  In no circumstances may the IAB or ISOC
-Board of Trustees overturn a decision of the IETF LLC Board that
-involves a binding contract or overturn a personnel-related action
-(such as hiring, firing, promotion, demotion, performance reviews,
-salary adjustments, etc.).
+The IAB SHALL review the decision in question and determine an
+appropriate course of action.  As in other cases, as described in RFC
+2026, only process-related errors as described are reviewable by the
+ISOC Board of Trustees.  In no circumstances may the IAB or ISOC Board
+of Trustees overturn a decision of the IETF LLC Board that involves a
+binding contract or overturn a personnel-related action (such as
+hiring, firing, promotion, demotion, performance reviews, salary
+adjustments, etc.).

 ## Community Consensus and Grant of Authority
...

---

From: Eliot Lear <[email-masked]>
Date: Thu, 6 Dec 2018 13:45:31 +0100

Hi Joe,

Something closer to the attached.  I’m sure it could do with more wordsmithing.  This removes  process change components (I think).  All of these edits are really not intended to be substantial, modulo removing process changes from appeals.

I have one substantial question: can such a document bind LLC decision making?  I realise we are not intended to get into legalities here, but at some point someone ought to ask that question in order to understand whether this document can be implemented.

Eliot

> On 6 Dec 2018, at 13:24, Joseph Lorenzo Hall <[email-masked]> wrote:
>

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 6 Dec 2018 07:54:18 -0500

On Thu, Dec 6, 2018 at 07:45 Eliot Lear <[email-masked]> wrote:

> Hi Joe,
>
> Something closer to the attached.  I’m sure it could do with more
> wordsmithing.  This removes  process change components (I think).  All of
> these edits are really not intended to be substantial, modulo removing
> process changes from appeals.
>

Thanks, I'd of course like to hear from others on this change as it is
substantial.

> I have one substantial question: can such a document bind LLC decision
> making?  I realise we are not intended to get into legalities here, but at
> some point someone ought to ask that question in order to understand
> whether this document can be implemented.
>

The LLC Agreement binds the LLC and much of the key content here is in
Exhibit A of that document (and that exhibit will be presumably updated
with where we end up here). So, yes.

> >>> Thank you both.  I had a quick skim.  What is important for the
> mtgvenue work is that the appeals process be in order and clear.  I cannot
> speak to the first part, but my view is that editorially it reads a bit
> wordy at the moment, and I wonder if it can be tightened up.  In
> particular, you venture into updating of processes as part of review and
> appeal.  I think it’s fine to update processes when appropriate, but
> placing that in this text seems to me to detract from what someone looking
> to understand review and appeal would want.  Also, the appropriate way to
> update processes is to write an update to the processes, not through the
> appeals process.
> >>
> >>
Joseph Lorenzo Hall

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 6 Dec 2018 18:00:36 +0000

I submitted a pull request for the first two minor changes. The 1st one looked fine. The 2nd one could have inadvertently limited submission to email, and a different method or protocol may come to be preferred in the future. So I changed that bit to the following (note the 1st sentence is no longer limiting as to method):

All requests for review shall be sent to the IETF LLC, such as via email to [email-masked].
The IETF LLC shall in turn publish those and is expected to respond publicly to a request within a reasonable period, typically within 90 days.

From: iasa20 <[email-masked]> on behalf of Eliot Lear <[email-masked]>
Date: Wednesday, December 5, 2018 at 5:53 PM
To: Joe Lorenzo Hall <[email-masked]>
Cc: IASA 2 WG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Iasa20] I-D Action: draft-ietf-iasa2-rfc4071bis-00.txt

OLD:

NEW:

As to this:

   All requests

   All requests

   for review shall be emailed to [email-masked]<mailto:[email-masked]> who SHALL in turn publish them.

OLD:

NEW:

Eliot

On 5 Dec 2018, at 22:45, Joseph Lorenzo Hall <[email-masked]<mailto:[email-masked]>> wrote:

On Wed, Dec 5, 2018 at 4:16 PM <[email-masked]<mailto:[email-masked]>> wrote:

Abstract:

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org<http://tools.ietf.org/>.

_______________________________________________
iasa20 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/iasa20

--
Joseph Lorenzo Hall
Chief Technologist, Center for Democracy & Technology [https://www.cdt.org<https://www.cdt.org/>]
1401 K ST NW STE 200, Washington DC 20005-3497
e: [email-masked]<mailto:[email-masked]>, p: 202.407.8825, pgp: https://josephhall.org/gpg-key
Fingerprint: 3CA2 8D7B 9F6D DBD3 4B10  1607 5F86 6987 40A9 A871
_______________________________________________
iasa20 mailing list
[email-masked]<mailto:[email-masked]>
https://www.ietf.org/mailman/listinfo/iasa20

---

From: "Livingood, Jason" <[email-masked]>
Date: Thu, 6 Dec 2018 18:16:36 +0000

Commenting on the more substantial proposed change, here’s the old/new text you (Eliot) provided earlier below. I do like simpler & shorter but worry that your proposed 1st and 2nd sentences may somewhat conflict or may confuse readers. So after your prior NEW text below I have written out a JL NEW proposal for your feedback (and others here as well).

Thanks!
JL

OLD:

NEW:

JL NEW:

   Depending on the nature of the review request, either the IAB
   or ISOC Board of Trustees shall consider it. As described in
   RFC 2026, the ISOC Board of Trustees SHALL only consider those
   that are process-related. All others SHALL be considered by the
   IAB. The appropriate reviewing body SHALL consider the review
   request and determine an appropriate course of action, if any.
   Under no circumstances may the IAB or ISOC Board of Trustees
   overturn a decision of the IETF LLC Board that involves a binding
   contract or overturn a personnel-related action (such as hiring,
   firing, promotion, demotion, performance reviews, salary
   adjustments, etc.).

From: iasa20 <[email-masked]> on behalf of Joe Lorenzo Hall <[email-masked]>
Date: Thursday, December 6, 2018 at 7:54 AM
To: Eliot Lear <[email-masked]>
Cc: IASA 2 WG <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: Re: [Iasa20] I-D Action: draft-ietf-iasa2-rfc4071bis-00.txt

On Thu, Dec 6, 2018 at 07:45 Eliot Lear <[email-masked]<mailto:[email-masked]>> wrote:
Hi Joe,

Thanks, I'd of course like to hear from others on this change as it is substantial.

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Thu, 6 Dec 2018 14:07:06 -0500

On Thu, Dec 6, 2018 at 1:16 PM Livingood, Jason <[email-masked]>
wrote:

> Commenting on the more substantial proposed change, here’s the old/new
> text you (Eliot) provided earlier below. I do like simpler & shorter but
> worry that your proposed 1st and 2nd sentences may somewhat conflict or
> may confuse readers. So after your prior NEW text below I have written out
> a JL NEW proposal for your feedback (and others here as well).
>
>
>
> Thanks!
> JL
>
>
>
> OLD:
>
I like this version as it doesn't just remove process-related appeals from
the appeals chain text but clarifies that the end-point for those appeals
is the ISOC BOT. best, Joe

---

From: Eliot Lear <[email-masked]>
Date: Thu, 6 Dec 2018 20:44:50 +0100

Hi guys,

>    or ISOC Board of Trustees shall consider it.
> 

You have to tell the reader who to go to next.  IMHO the answer is the IAB.  Only after the IAB does ISOC get their shot, and only for limited process purposes, as discussed.  I realise that my own text was a little blurry on what happens AFTER the IAB, which is the BoT.  Jason, do you think you could wangle your text, just on this point?  Otherwise, I’m good with what you wrote.

Eliot

> As described in
> I like this version as it doesn't just remove process-related appeals from the appeals chain text but clarifies that the end-point for those appeals is the ISOC BOT. best, Joe
>

---

From: "John Levine" <[email-masked]>
Date: 8 Dec 2018 04:44:27 -0000

In article <[email-masked]>,
>with where we end up here). So, yes.

I suppose that if the LLC wanted to change the agreement, the ISOC
board would consider the proposed changes, but this is the first
I've heard about proposing amendments to the agreement.

The existing agreement says nothing about appeals, but does say
that the IETF can recall LLC board members.  Were there to be
an appeal, and the IETF were unhappy with the result, the only
plausible remedy is to replace the board with a new one that
will do what the IETF wants. 

This tells me that there is no need to screw around with the
agreement.  The appeal process is advice to the LLC board.  If the
board doesn't follow the advice, find a board that does.

As I have said about a hundred times before, I find complex appeal
processes to be a terrible idea, since they tell the world that we
expect the board to be incompetent or malicious so we need to
micromangage them.  If I were a potential outside board member, I
would run screaming in the opposite direction.  Can we please assume
that the nomcom will find competent board members, keep the processes
simple, and if we screw up badly enough, we can recall to fix it.

R's,
John
-- 
Regards,
John Levine, [email-masked], Primary Perpetrator of "The Internet for Dummies",
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Eliot Lear <[email-masked]>
Date: Sat, 8 Dec 2018 13:19:56 +0100

So this is the substance about which I am most concerned relating to the text.  The intent was to re-establish what was there in 4071.  If that is not what we want, then what Jason has now isn’t appropriate.  This issue needs to be crystal clear before this -bis proceeds.  The LLC board members should comment, please.

Eliot

> On 8 Dec 2018, at 05:44, John Levine <[email-masked]> wrote:
>

---

From: Joseph Lorenzo Hall <[email-masked]>
Date: Sat, 8 Dec 2018 09:22:11 -0500

On Fri, Dec 7, 2018 at 23:44 John Levine <[email-masked]> wrote:

> In article <
> [email-masked]>,

We've already made changes to the text that deviate from the Agreement text
in small but important ways, so either we revert that so that this document
doesn't deviate or I suspect the ISOC BoT will need to entertain an
amendment after this document lands. Happy to do whatever the community and
others want here. Best, Joe

Joseph Lorenzo Hall

---

From: Peter Koch <[email-masked]>
Date: Sat, 8 Dec 2018 19:21:05 +0100

>    that are process-related. All others SHALL be considered by the

I can only assume that the capitalization would be followed by a
reference to RFC 2119/8174, but then those keywords and passive
voice are not best friends.

>    Under no circumstances may the IAB or ISOC Board of Trustees

For consistency this would turn into a "MUST NOT" and a reordering
of the sentence, but I think the initial lower case did the job
and lead to better readable text.

-Peter

---

From: "John R Levine" <[email-masked]>
Date: 8 Dec 2018 14:10:41 -0500

> So this is the substance about which I am most concerned relating to the text.  The intent was to re-establish what was there in 4071.  If that is not what we want, then what Jason has now isn’t ap…

It seems to me you can either try and recreate 4071 paragraph by 
paragraph, or step back and look at what problem it was solving in 2005, 
and come up with a solution for the problem we have in 2018.

In 2005 the IAOC was legally nonexistent, and ISOC was the legal entity in 
control.  The point of the LLC is that it's the IETF's controlling legal 
entity, and it's where the buck stops.  An extra level of appeal just 
confuses things and (for the 101st time) puts the IETF in a bad light.

The idea that the ISOC board is limited to "process" appeals is 
unworkable.  Who decides what's a process appeal?  This ISOC board member 
thinks that any situtation so screwed up that it goes to a meta-appeal 
shows that the process is broken, so they're all process appeals.  I don't 
think you want to go anywhere near there.

Someone reminded me that the LLC agreement allows for amendments when they 
are "in or not opposed to the best interest of the Member."  I don't see 
how a sort-of-appeal process is in ISOC's best interest, as opposed to the 
LLC and the IETF working out their own differences.

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Brian E Carpenter <[email-masked]>
Date: Sun, 9 Dec 2018 09:08:59 +1300

On 2018-12-09 08:10, John R Levine wrote:
> control.  

I don't know about "in control", but BCP 101 was duly acknowledged
by the ISOC Board, like the standards process BCPs.

> The point of the LLC is that it's the IETF's controlling legal 
> entity, and it's where the buck stops.  

Again, I don't know about "controlling". Since the standards process
is explicitly out of scope for the LLC,  I do agree that any appeals
chain for LLC matters is not automatically bound to include the
ISOC Board. You can't extrapolate RFC2026 in that way.

> An extra level of appeal just 
> confuses things

Why? The LLC has no existence independent of the existence of ISOC.
I don't see anything very confusing here.

> and (for the 101st time) puts the IETF in a bad light.

Why? We've been beholden to ISOC since 1992.

> unworkable.  Who decides what's a process appeal?

Here I completely agree with you. It's a meaningless phrase.
The corresponding part of RFC2026 (section 6.5.3) is completely
clear, but irrelevant to the LLC since it specifically concerns
the standards process. 

> This ISOC board member 

I don't care about ISOC's best interest in this case; it's the IETF's best
interest that counts, IMHO.

Surely ISOC has the ultimate power to close the LLC down if all else
fails? That makes an appeal to the ISOC Board the natural end point.

Regards
    Brian

---

From: "John R Levine" <[email-masked]>
Date: 8 Dec 2018 16:12:27 -0500

>> An extra level of appeal just confuses things
>

Sorry, but that is 100% explicitly wrong.

The LLC is registered with the state of Delaware.  You can look it up on 
the Delaware state web site (at https://icis.corp.delaware.gov/eCorp/) 
just like you can look up ISOC in the District of Columbia (at 
https://eservices.dcra.dc.gov/BBLV/Default.aspx) and Virginia (see 
https://sccefile.scc.virginia.gov/Business/F174854).

The LLC has a board, a budget, a bank account, and a lawyer.  It can and 
does negotiate and sign contracts.  It can pay you money and you can pay 
it.  You can sue it, and if you do, its lawyer who is not ISOC's lawyer 
will reply.  If you lose the lawsuit, you will pay it, if you win, it will 
pay you, or maybe its insurance which is separate from ISOC's insurance 
will.  It can even sue you, although we both hope it doesn't.

The "disregarded entity" thing only affects the way the LLC pays taxes, or 
since ISOC is a non-profit, doesn't pay taxes.  It doesn't otherwise 
affect the LLC's authority.  (You can see why I have been encouraging 
people not to use that phrase in IETF documents intended for people 
unfamiliar with arcana of US tax law.)

The whole point of the IASA2 exercise, as I hope we all recall, was to 
create a legal entity separate from ISOC, and that's what the LLC is. 
Complex processes that cross the lines of authority don't do anyone any 
good.

R's,
John

> interest that counts, IMHO.

You may not care, but the agreement says what it says.  Please read it 
rather than guessing.

---

From: David Frolio <[email-masked]>
Date: Sun, 9 Dec 2018 21:59:51 +0000

Hi folks,

As counsel for ISOC,  I would like to observe that my understanding of the intent underlying the LLC agreement was to give the LLC Board  responsibility for  the operation and governance  of ISOC without interference or oversight by ISOC, except to the extent that ISOC had a legitimate interest to protect.   The suggestion that the ISOC board of trustees should act as an appeal body of some sort seems to run counter to that intent.   

Of course, the parties to any agreement are not necessarily bound by the initial intent and can always agree to revisit any provision of the agreement through the  amendment process. That said,  I would request the group to  strive for clarity in describing any new obligations/tasks/responsibilities that are sought to be assigned on ISOC, so that ISOC can evaluate and decide if it is willing to assume such a role.   

I hasten to add that I have not read all of the documents or emails on this topic, so please forgive me if I have misunderstood the discussion.

David Frolio
Internet Society General Counsel

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of Brian E Carpenter
Sent: Saturday, December 8, 2018 3:09 PM
To: John R Levine <[email-masked]>; Eliot Lear <[email-masked]>
Cc: IASA 2 WG <[email-masked]>
Subject: Re: [Iasa20] I-D Action: draft-ietf-iasa2-rfc4071bis-00.txt

On 2018-12-09 08:10, John R Levine wrote:
> paragraph, or step back and look at what problem it was solving in 
> 2005, and come up with a solution for the problem we have in 2018.
> 
> In 2005 the IAOC was legally nonexistent, and ISOC was the legal 
> entity in control.

I don't know about "in control", but BCP 101 was duly acknowledged by the ISOC Board, like the standards process BCPs.

> The point of the LLC is that it's the IETF's controlling legal entity, 
> and it's where the buck stops.

Again, I don't know about "controlling". Since the standards process is explicitly out of scope for the LLC,  I do agree that any appeals chain for LLC matters is not automatically bound to include the ISOC Board. You can't extrapolate RFC2026 in that way.

Here I completely agree with you. It's a meaningless phrase.
The corresponding part of RFC2026 (section 6.5.3) is completely clear, but irrelevant to the LLC since it specifically concerns the standards process. 

> shows that the process is broken, so they're all process appeals.  I 
> don't think you want to go anywhere near there.
> 
> Someone reminded me that the LLC agreement allows for amendments when 
> they are "in or not opposed to the best interest of the Member."  I 
> don't see how a sort-of-appeal process is in ISOC's best interest, as 
> opposed to the LLC and the IETF working out their own differences.

I don't care about ISOC's best interest in this case; it's the IETF's best interest that counts, IMHO.

Surely ISOC has the ultimate power to close the LLC down if all else fails? That makes an appeal to the ISOC Board the natural end point.

Regards
    Brian

---

From: David Frolio <[email-masked]>
Date: Sun, 9 Dec 2018 22:49:52 +0000

Small correction to the first sentence of my post:   “The intent of the LLC agreement was to give the IETF Board responsibility for the operation and governance of IETF........”  and not ISOC.

I assume you could discern my intended meaning, but wanted to clarify.

David

-----Original Message-----
From: iasa20 <[email-masked]> On Behalf Of David Frolio
Sent: Sunday, December 9, 2018 5:00 PM
To: Brian E Carpenter <[email-masked]>; John R Levine <[email-masked]>; Eliot Lear <[email-masked]>
Cc: IASA 2 WG <[email-masked]>
Subject: Re: [Iasa20] I-D Action: draft-ietf-iasa2-rfc4071bis-00.txt

Hi folks,

David Frolio

-----Original Message-----

From: iasa20 <[email-masked]<mailto:[email-masked]>> On Behalf Of Brian E Carpenter

To: John R Levine <[email-masked]<mailto:[email-masked]>>; Eliot Lear <[email-masked]<mailto:[email-masked]>>

Cc: IASA 2 WG <[email-masked]<mailto:[email-masked]>>

Regards

    Brian

> John Levine, [email-masked]<mailto:[email-masked]>, Taughannock Networks, Trumansburg NY

> Please consider the environment before reading this e-mail.

> https://jl.ly

iasa20 mailing list

iasa20 mailing list

---

From: "Brad Biddle" <[email-masked]>
Date: Sun, 09 Dec 2018 17:58:37 -0800

Just to round this out from the IETF legal side: I concur with David.

The LLC Agreement has a carefully crafted set of protections and 
remedies. For ISOC, Section 11 imposes a set of very specific 
ISOC-protective obligations on the LLC and ultimately gives ISOC a right 
to replace members of the LLC management committee (“Directors,” 
under the terminology we chose) if the LLC fails to meet these 
obligations. For the IETF community, job #1 is picking good Directors. 
However, if any Directors lose community support, they can be removed by 
a supermajority of other Directors, or by the BCP 10 recall process. I 
suggest this is an appropriate and sufficient approach to protecting the 
community’s interests.

The idea of inserting another decision-making authority above the LLC 
management committee (the “Board,” under the LLC Agreement) is 
difficult to reconcile with corporate and LLC law fundamentals. The 
Directors are ultimately responsible for the actions of the LLC, as a 
matter of law. I recommend against trying to create an additional appeal 
process beyond what is already reflected in the LLC Agreement, 
particularly to whatever degree the process undermines the paradigm that 
the Directors have final responsibility for the activities the LLC.

—Brad
IETF Counsel

Brad Biddle | [email-masked] | +1.503.502.1259 (mobile) | 
http://biddle.law

On 9 Dec 2018, at 14:49, David Frolio wrote:

> Small correction to the first sentence of my post:   “The intent of 
> the LLC agreement was to give the IETF Board responsibility for the 
> operation and governance of IETF........”  and not ISOC.
>
>
>
> To: Brian E Carpenter <[email-masked]>; John R Levine 
> <[email-masked]>; Eliot Lear <[email-masked]>
> As counsel for ISOC,  I would like to observe that my understanding of 
> the intent underlying the LLC agreement was to give the LLC Board  
> responsibility for  the operation and governance  of ISOC without 
> interference or oversight by ISOC, except to the extent that ISOC had 
> a legitimate interest to protect.   The suggestion that the ISOC board 
> of trustees should act as an appeal body of some sort seems to run 
> counter to that intent.
>
>
>
> Of course, the parties to any agreement are not necessarily bound by 
> the initial intent and can always agree to revisit any provision of 
> the agreement through the  amendment process. That said,  I would 
> request the group to  strive for clarity in describing any new 
> obligations/tasks/responsibilities that are sought to be assigned on 
> ISOC, so that ISOC can evaluate and decide if it is willing to assume 
> such a role.
>
>
>
> I hasten to add that I have not read all of the documents or emails on 
> this topic, so please forgive me if I have misunderstood the 
> discussion.
>
>
>
>
>
> David Frolio
>
> To: John R Levine <[email-masked]<mailto:[email-masked]>>; Eliot 
> Lear <[email-masked]<mailto:[email-masked]>>
>
>>> So this is the substance about which I am most concerned relating to 
>>> the text.  The intent was to re-establish what was there in 4071.  
>>> If that is not what we want, then what Jason has now isn’t 
>>> appropriate.  This issue needs to be crystal clear before this -bis 
>>> proceeds.  The LLC board members should comment, please.
>
>>
>
> I don't know about "in control", but BCP 101 was duly acknowledged by 
> the ISOC Board, like the standards process BCPs.
>
>
>
>> entity,
> chain for LLC matters is not automatically bound to include the ISOC 
> Board. You can't extrapolate RFC2026 in that way.
>
>
>
> The corresponding part of RFC2026 (section 6.5.3) is completely clear, 
> but irrelevant to the LLC since it specifically concerns the standards 
> process.
>
>
>
>> This ISOC board member
>

---

From: Alissa Cooper <[email-masked]>
Date: Mon, 10 Dec 2018 09:51:02 -0500

Hi John,

> On Dec 7, 2018, at 11:44 PM, John Levine <[email-masked]> wrote:
> 

This was contemplated when the LLC legal documents were put out for last call: <https://mailarchive.ietf.org/arch/msg/iasa20/X4POGV6I8BBAOUzLbOwn0bmoc5A>. This is also why we confined the substantive points of the former draft-ietf-iasa2-struct that have legal bearing to Exhibit A of the LLC agreement and made the amendment procedure for Exhibit A even easier than the rest of the LLC agreement (see Section 14(a) of the LLC agreement): to accommodate precisely the scenario where changes arising between WGLC and publication approval of that draft (now 4071bis) would necessitate changes to Exhibit A.

No comment on whether amendments should be made from the IETF’s point of view as we’re not at the point of knowing that yet, but I just wanted to point out that the possibility for amendments was contemplated and accommodated in the LLC agreement.

Alissa

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 11 Dec 2018 08:52:54 +1300

> unfamiliar with arcana of US tax law.)

"The Company shall have a single limited liability company
membership interest, which is hereby issued to the Member."
(The Member is ISOC.)

A.k.a. the LLC is a subsidiary of ISOC. If A is a subsidiary of B,
then it may act independently, but it's still tied to B.

> create a legal entity separate from ISOC, 

No, that wasn't the point. It was an implementation choice. IMHO,
the point was to resolve a number of operational problems with IASA1.

> and that's what the LLC is. 

However, section 11 of the agreement ("Company Obligations to Member;
Rights Reserved by Member") gives ISOC significant power including
in some circumstances "to unilaterally dismiss any or all of the
individuals then serving as Directors". That certainly crosses the
lines of authority and would mean that an appeal to the ISOC Board
*on grounds that are covered by section 11* would not be an empty
threat.

So I'd argue that if we (the IETF) want the additional check-and-balance
of a final appeal, it is not unreasonable for it to be to the ISOC
Board, but it must be limited to matters that fall under section 11
of the agreement. IANAL, and I saw the lawyers' recent comments, but
it seems to me that there would be no inconsistency there. In fact
the "Member Remedy" section of the agreement seems to anticipate
this.

> You may not care, but the agreement says what it says.  Please read it 

Indeed. And it qualifies ISOC's right to unilaterally dismiss Directors
thus:

"This right supersedes any contrary terms in this Agreement or in any
applicable RFC or similar document. Member shall only take such
action in good faith after notice to and consultation with the affected
communities, including the IETF, IRTF, and IAB, and in the belief that
the action is in or not opposed to the best interest of the Company."

That really does give ISOC the power it would need to act as a final
adjudicator.

    Brian

---

From: "John R Levine" <[email-masked]>
Date: 10 Dec 2018 15:07:15 -0500

> the "Member Remedy" section of the agreement seems to anticipate this.

As you surely recall from the endless debate, the member remedy is 
intended as a neutron bomb in the unlikely event that the IETF goes 
completely insane.  Nobody expects it to happen under any normal scenario.

It definitely does not mean it would be a good idea to involve ISOC in the 
IETF's day to day disputes.

R's,
John

---

From: S Moonesamy <[email-masked]>
Date: Mon, 10 Dec 2018 12:35:13 -0800

Hello,
At 05:58 PM 09-12-2018, Brad Biddle wrote:
>The idea of inserting another decision-making 
>authority above the LLC management committee 
>(the "Board," under the LLC Agreement) is 
>difficult to reconcile with corporate and LLC 
>law fundamentals. The Directors are ultimately 
>responsible for the actions of the LLC, as a 
>matter of law. I recommend against trying to 
>create an additional appeal process beyond what 
>is already reflected in the LLC Agreement, 
>particularly to whatever degree the process 
>undermines the paradigm that the Directors have 
>final responsibility for the activities the LLC.

The above is usually have corporate governance works.

There is the following in Section 3.8: "The 
reviewing body (the IAB or ISOC Board of 
Trustees) shall review the decision of the IETF 
Executive Director or IETF LLC Board to determine 
whether it was made in accordance with existing 
BCPs and operational guidelines.  As a result of 
this review, the reviewing body may recommend to 
the community that the BCPs governing IETF LLC 
Board actions should be changed.  The reviewing 
body may also advise the IETF LLC Board to modify 
existing operational guidelines to avoid similar 
issues in the future and/or it may advise the 
IETF LLC Board to re-consider their decision or 
action.  It may also recommend that no action be 
taken, based on the review".  The IETF Executive 
Director reports to the LLC Board.  Wouldn't it 
be up to the LLC Board to be accountable for the 
decision(s) taken by the IETF Executive Director?

Regards,
S. Moonesamy

---

From: Andrew Sullivan <[email-masked]>
Date: Mon, 10 Dec 2018 15:44:39 -0500

Hi,

On Sun, Dec 09, 2018 at 05:58:37PM -0800, Brad Biddle wrote:

> management committee (the “Board,” under the LLC Agreement) is difficult to
> reconcile with corporate and LLC law fundamentals. The Directors are
> ultimately responsible for the actions of the LLC, as a matter of law. I
> recommend against trying to create an additional appeal process beyond what
> is already reflected in the LLC Agreement, particularly to whatever degree
> the process undermines the paradigm that the Directors have final
> responsibility for the activities the LLC.

Indeed.  To pile on, it is unworkable to have another thing above the
LLC Board, because in a strict sense the LLC remains accountable to
its sole member, which means that the sole member is in a position to
change things if that is what it comes to.  So you just can't put
another level in there and make it stick.

One of the things I have noticed at the IETF is that process
discussions often get in trouble because we attempt to design a
perfect process that will operate properly in the teeth of the most
egregious participant failure.  I don't believe that is possible in
this case, and we need to trust that if we get to that unlikely
scenario the standard recall threats will work.

Best regards,

A

-- 
Andrew Sullivan
[email-masked]

---

From: Bob Hinden <[email-masked]>
Date: Mon, 10 Dec 2018 13:20:10 -0800

> On Dec 10, 2018, at 12:07 PM, John R Levine <[email-masked]> wrote:
> 
> As you surely recall from the endless debate, the member remedy is intended as a neutron bomb in the unlikely event that the IETF goes completely insane.  Nobody expects it to happen under any normal scenario.

As well as remembering that most of the money comes from ISOC.   Without another source of income, the IETF is dependent on ISOC.  Like you said, no one expects ISOC to stop funding the IETF either.

Bob

> 
> It definitely does not mean it would be a good idea to involve ISOC in the IETF's day to day disputes.
> 
> R's,
> John
>

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 11 Dec 2018 10:28:24 +1300

> IETF's day to day disputes.

Indeed not. I have a thought on how to resolve this in 4071bis, but
I won't write it down until I have reviewed the whole draft carefully.

   Brian

---

From: "Livingood, Jason" <[email-masked]>
Date: Tue, 11 Dec 2018 14:11:24 +0000

+1

On 12/10/18, 3:46 PM, "iasa20 on behalf of Andrew Sullivan" <[email-masked] on behalf of [email-masked]> wrote:

    Hi,

    

    Best regards,
    
    A
    
    -- 
    Andrew Sullivan
    [email-masked]